/*@each $color, $value in $theme-colors {
  @include table-row-variant($color, theme-color-level($color, -9));
}*/

/*
@include table-row-variant(active, $table-active-bg);
*/


// NEW FONT GENERATION
@font-face {
  font-family: 'futurabook';
  src: url('/../assets/fonts/futura_book_regular-webfont.woff2') format('woff2'),
       url('/../assets/fonts/futura_book_regular-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'futurabold';
  src: url('/../assets/fonts/futura_bold_font-webfont.woff2') format('woff2'),
       url('/../assets/fonts/futura_bold_font-webfont.woff') format('woff');
  font-weight: bold;
  font-style: normal;

}
// NEW FONT GENERATION

.table {
  .tfoot-border tr td {
    border-top: 2px solid #181C21;
    font-weight: normal;
  }
  .tfoot tr td {
    border-top: 0px;
    font-weight: normal;
  }
  tbody {
    .tr-border td {
      border-top: 2px solid #181C21;
    }
    .tr-border-no td {
      border-top: 0px;
    }
    .tr-weight td {
      font-weight: normal;
    }

    .td-border {
      border-top: 2px solid #181C21;
      padding-bottom: 20px;
      padding-top: 1px;
    }
    .td-border-no {
      border-top: 0px;
      padding-top: 1px;
    }
    .td-weight {
      font-weight: normal;
    }
  }
  thead{
    .th-light {
      color: #181C21;
      background-color: #fff;
      border-color: #fff;
    }
  }
}

.table-freeze-header {
  display:block;
  width:100%;
  thead {
    width: calc( 100% - 1em )
  }
  tbody {
    display:block;
    height:450px;
    overflow-y:auto;
  }
  tr {
    display:table;
    width:100%;
    table-layout:fixed;
  }
}

.block-ui-white .block-ui-wrapper {
  background: rgba(2, 2, 2, .8);
  color: #444;
}
.block-ui-white .block-ui-template {
  top: 50%;
}

.view-height {
  //position: relative;
  height: 70vh;
}
.view-height-small{
  height: 30vh;
}
.view-height-medium{
  height: 50vh;
}
.view-height-large {
  height: 70vh;
}

// .btn-selected{
  // background-color: #26B4FF;
  //#FF2D30 #26B4FF
// }
.btn-img{
  height: 18px
}
.btn-img-bg{
  background-color: #607d8b
}
.btn-mt{
  margin-top: 10px;
}